## python-oslotest 2.10.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

fixtures>=3.0.0 # Apache-2.0/BSD
python-subunit>=0.0.18 # Apache-2.0/BSD
six>=1.9.0 # MIT
testrepository>=0.0.18 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
testtools>=1.4.0 # MIT
mock>=2.0 # BSD
mox3>=0.7.0 # Apache-2.0
os-client-config!=1.19.0,!=1.19.1,!=1.20.0,>=1.13.1 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslotest (1:2.10.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 22:53:45 +0000

python-oslotest (1:2.10.0-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.
  * Fixed upstream VCS URLs.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2016 10:57:59 +0200

python-oslotest (1:2.10.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2016 09:31:41 +0200

=== debian/control ===
Source: python-oslotest
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 0.52~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.2),
                     python-mock (>= 2.0),
                     python-mox3,
                     python-oslo.config (>= 3.14.0),
                     python-oslosphinx (>= 2.5.0),
                     python-os-client-config (>= 1.13.1),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-mock (>= 2.0),
                     python3-mox3,
                     python3-oslo.config (>= 3.14.0),
                     python3-os-client-config (>= 1.13.1),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslotest?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-oslotest -b debian/newton
Homepage: https://github.com/openstack/oslotest

Package: python-oslotest
Architecture: all
Depends: python-debtcollector (>= 1.2.0),
         python-fixtures (>= 3.0.0),
         python-mock (>= 2.0),
         python-mox3 (>= 0.7.0),
         python-os-client-config (>= 1.13.1),
         python-pbr (>= 0.6),
         python-six (>= 1.9.0),
         python-subunit (>= 0.0.18),
         python-testrepository (>= 0.0.18),
         python-testscenarios (>= 0.4),
         python-testtools (>= 0.9.36),
         subunit (>= 0.0.18),
         testrepository (>= 0.0.18),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack test framework - Python 2.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 2.x module.

Package: python3-oslotest
Architecture: all
Depends: python3-debtcollector (>= 1.2.0),
         python3-fixtures (>= 3.0.0),
         python3-mock (>= 2.0),
         python3-mox3 (>= 0.7.0),
         python3-os-client-config (>= 1.13.1),
         python3-pbr (>= 0.6),
         python3-six (>= 1.9.0),
         python3-subunit (>= 0.0.18),
         python3-testrepository (>= 0.0.18),
         python3-testscenarios (>= 0.4),
         python3-testtools (>= 0.9.36),
         testrepository (>= 0.0.18),
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack test framework - Python 3.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 3.x module.

Package: python-oslotest-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack test framework - doc
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslotest
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	sed -i s/python/python3/g $(CURDIR)/debian/python3-oslotest/usr/bin/python3-oslo_debug_helper

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-oslotest-doc/usr/share/doc/python-oslotest-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-oslotest 2.13.0

=== requirements.txt ===
--- 
+++ 
@@ -6,9 +6,8 @@
 python-subunit>=0.0.18 # Apache-2.0/BSD
 six>=1.9.0 # MIT
 testrepository>=0.0.18 # Apache-2.0/BSD
-testscenarios>=0.4 # Apache-2.0/BSD
 testtools>=1.4.0 # MIT
 mock>=2.0 # BSD
 mox3>=0.7.0 # Apache-2.0
-os-client-config!=1.19.0,!=1.19.1,!=1.20.0,>=1.13.1 # Apache-2.0
+os-client-config>=1.22.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslotest (1:2.13.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Jan 2017 19:33:47 +0000

python-oslotest (1:2.13.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:32:10 -0500

python-oslotest (1:2.12.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add autopkgtest.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 09:13:14 -0500

python-oslotest (1:2.11.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 
  * debian/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Nov 2016 09:27:05 -0500

python-oslotest (1:2.10.0-0ubuntu1) yakkety; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 10:22:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: python-oslotest
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ivan Udovichenko <iudovichenko@mirantis.com>,
            Corey Bryant <corey.bryant@canonical.com>,
            David Della Vecchia <ddv@canonical.com>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools (>= 0.52~),
+               openstack-pkg-tools (>= 0.23~),
                python-all,
                python-pbr,
                python-setuptools,
@@ -23,8 +24,8 @@
                      python-mock (>= 2.0),
                      python-mox3,
                      python-oslo.config (>= 3.14.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-os-client-config (>= 1.13.1),
+                     python-oslosphinx (>= 4.7.0),
+                     python-os-client-config (>= 1.22.0),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -33,7 +34,7 @@
                      python3-mock (>= 2.0),
                      python3-mox3,
                      python3-oslo.config (>= 3.14.0),
-                     python3-os-client-config (>= 1.13.1),
+                     python3-os-client-config (>= 1.22.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
                      python3-testscenarios,
@@ -41,9 +42,10 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslotest?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-oslotest -b debian/newton
-Homepage: https://github.com/openstack/oslotest
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslotest
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslotest
+Homepage: https://launchpad.net/oslo
+Testsuite: autopkgtest-pkg-python
 
 Package: python-oslotest
 Architecture: all
@@ -51,7 +53,7 @@
          python-fixtures (>= 3.0.0),
          python-mock (>= 2.0),
          python-mox3 (>= 0.7.0),
-         python-os-client-config (>= 1.13.1),
+         python-os-client-config (>= 1.22.0),
          python-pbr (>= 0.6),
          python-six (>= 1.9.0),
          python-subunit (>= 0.0.18),
@@ -74,7 +76,7 @@
          python3-fixtures (>= 3.0.0),
          python3-mock (>= 2.0),
          python3-mox3 (>= 0.7.0),
-         python3-os-client-config (>= 1.13.1),
+         python3-os-client-config (>= 1.22.0),
          python3-pbr (>= 0.6),
          python3-six (>= 1.9.0),
          python3-subunit (>= 0.0.18),

## python-oslotest 2.17.0

=== requirements.txt ===
--- 
+++ 
@@ -8,6 +8,6 @@
 testrepository>=0.0.18 # Apache-2.0/BSD
 testtools>=1.4.0 # MIT
 mock>=2.0 # BSD
-mox3>=0.7.0 # Apache-2.0
-os-client-config>=1.22.0 # Apache-2.0
+mox3!=0.19.0,>=0.7.0 # Apache-2.0
+os-client-config>=1.27.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslotest (1:2.17.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 09:11:03 -0400

python-oslotest (1:2.16.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 15:00:51 -0400

python-oslotest (1:2.15.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Bump version dependencies.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:04:52 +0100

=== debian/control ===
--- 
+++ 
@@ -17,30 +17,33 @@
                python3-all,
                python3-pbr,
                python3-setuptools
-Build-Depends-Indep: python-coverage,
+Build-Depends-Indep: python-coverage (>= 4.0),
                      python-debtcollector (>= 1.2.0),
                      python-fixtures (>= 3.0.0),
-                     python-hacking (>= 0.10.2),
                      python-mock (>= 2.0),
-                     python-mox3,
-                     python-oslo.config (>= 3.14.0),
-                     python-oslosphinx (>= 4.7.0),
-                     python-os-client-config (>= 1.22.0),
+                     python-mox3 (>= 0.7.0),
+                     python-openstackdocstheme (>= 1.11.0),
+                     python-os-client-config (>= 1.27.0),
+                     python-oslo.config (>= 1:4.0.0),
                      python-six (>= 1.9.0),
+                     python-testrepository (>= 0.0.18),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
+                     python3-coverage (>= 4.0),
                      python3-debtcollector (>= 1.2.0),
                      python3-fixtures (>= 3.0.0),
                      python3-mock (>= 2.0),
-                     python3-mox3,
-                     python3-oslo.config (>= 3.14.0),
-                     python3-os-client-config (>= 1.22.0),
+                     python3-mox3 (>= 0.7.0),
+                     python3-openstackdocstheme (>= 1.11.0),
+                     python3-os-client-config (>= 1.27.0),
+                     python3-oslo.config (>= 1:4.0.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
+                     python3-testrepository (>= 0.0.18),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslotest
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslotest
@@ -53,17 +56,17 @@
          python-fixtures (>= 3.0.0),
          python-mock (>= 2.0),
          python-mox3 (>= 0.7.0),
-         python-os-client-config (>= 1.22.0),
-         python-pbr (>= 0.6),
+         python-os-client-config (>= 1.27.0),
+         python-pbr (>= 2.0.0),
          python-six (>= 1.9.0),
          python-subunit (>= 0.0.18),
          python-testrepository (>= 0.0.18),
          python-testscenarios (>= 0.4),
-         python-testtools (>= 0.9.36),
+         python-testtools (>= 1.4.0),
          subunit (>= 0.0.18),
          testrepository (>= 0.0.18),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack test framework - Python 2.x
  OpenStack test framework that provides base classes and fixtures for creating
  unit and functional tests.
@@ -76,16 +79,16 @@
          python3-fixtures (>= 3.0.0),
          python3-mock (>= 2.0),
          python3-mox3 (>= 0.7.0),
-         python3-os-client-config (>= 1.22.0),
-         python3-pbr (>= 0.6),
+         python3-os-client-config (>= 1.27.0),
+         python3-pbr (>= 2.0.0),
          python3-six (>= 1.9.0),
          python3-subunit (>= 0.0.18),
          python3-testrepository (>= 0.0.18),
          python3-testscenarios (>= 0.4),
-         python3-testtools (>= 0.9.36),
+         python3-testtools (>= 1.4.0),
          testrepository (>= 0.0.18),
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Description: OpenStack test framework - Python 3.x
  OpenStack test framework that provides base classes and fixtures for creating
  unit and functional tests.

## python-oslotest 3.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

fixtures>=3.0.0 # Apache-2.0/BSD
python-subunit>=1.0.0 # Apache-2.0/BSD
six>=1.10.0 # MIT
testrepository>=0.0.18 # Apache-2.0/BSD
testtools>=2.2.0 # MIT
mock>=2.0.0 # BSD
mox3>=0.20.0 # Apache-2.0
os-client-config>=1.28.0 # Apache-2.0

=== debian/changelog ===
python-oslotest (1:3.2.0-0ubuntu1~cloud0) xenial-queens; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 24 Jan 2018 20:56:10 +0000

python-oslotest (1:3.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 14:14:34 -0500

python-oslotest (1:3.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Nov 2017 10:58:59 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,31 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/oslotest
+PYTHONS:=$(shell pyversions -vr)
+PYTHON3S:=$(shell py3versions -vr)
+
+UPSTREAM_GIT := https://github.com/openstack/oslo.test.git
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	set -e ; for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python-oslotest; \
+	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-oslotest; \
+        done
+
+	set -e ; for i in oslo_debug_helper oslo_run_pre_release_tests oslo_run_cross_tests ; do \
+		mv $(CURDIR)/debian/python-oslotest/usr/bin/$$i $(CURDIR)/debian/python-oslotest/usr/bin/python2-$$i ; \
+		mv $(CURDIR)/debian/python3-oslotest/usr/bin/$$i $(CURDIR)/debian/python3-oslotest/usr/bin/python3-$$i ; \
+	done
+
 	sed -i s/python/python3/g $(CURDIR)/debian/python3-oslotest/usr/bin/python3-oslo_debug_helper
 
 override_dh_python3:
@@ -15,7 +33,17 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
 endif
 
 override_dh_sphinxdoc:

## python-oslotest 3.6.0

=== requirements.txt ===
--- 
+++ 
@@ -5,8 +5,9 @@
 fixtures>=3.0.0 # Apache-2.0/BSD
 python-subunit>=1.0.0 # Apache-2.0/BSD
 six>=1.10.0 # MIT
-testrepository>=0.0.18 # Apache-2.0/BSD
+stestr>=2.0.0 # Apache-2.0
 testtools>=2.2.0 # MIT
 mock>=2.0.0 # BSD
 mox3>=0.20.0 # Apache-2.0
 os-client-config>=1.28.0 # Apache-2.0
+debtcollector  # Apache-2.0

=== debian/changelog ===
python-oslotest (1:3.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:27:22 +0200

python-oslotest (1:3.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release and using Python3 for sphinx.
  * Switched to pkgos-dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 11:22:40 +0200

python-oslotest (1:3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:28:15 +0000

python-oslotest (1:3.2.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Standards-Version is now 4.1.3.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 13:08:36 +0000

python-oslotest (1:2.17.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Standards-Version is now 4.1.1.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:28:43 +0000

python-oslotest (1:2.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Sep 2017 21:20:25 +0200

=== debian/control ===
Source: python-oslotest
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage,
 python-debtcollector,
 python-fixtures,
 python-hacking (>= 0.10.2),
 python-mock,
 python-mox3 (>= 0.20.0),
 python-os-client-config (>= 1.28.0),
 python-oslo.config (>= 1:5.2.0),
 python-six,
 python-stestr (>= 2.0.0),
 python-testtools (>= 2.2.0),
 python3-debtcollector,
 python3-fixtures,
 python3-mock,
 python3-mox3 (>= 0.20.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-client-config (>= 1.28.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslotest.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslotest.git
Homepage: https://launchpad.net/oslo

Package: python-oslotest
Architecture: all
Depends:
 python-debtcollector,
 python-fixtures,
 python-mock,
 python-mox3 (>= 0.20.0),
 python-os-client-config (>= 1.28.0),
 python-pbr (>= 2.0.0),
 python-six,
 python-stestr (>= 2.0.0),
 python-testtools (>= 2.2.0),
 subunit,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack test framework - Python 2.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 2.x module.

Package: python-oslotest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack test framework - doc
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the documentation.

Package: python3-oslotest
Architecture: all
Depends:
 python3-debtcollector,
 python3-fixtures,
 python3-mock,
 python3-mox3 (>= 0.20.0),
 python3-os-client-config (>= 1.28.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 subunit,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack test framework - Python 3.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.test.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

	sed -i s/python/python3/g $(CURDIR)/debian/python3-oslotest/usr/bin/python3-oslo_debug_helper

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslotest-doc/usr/share/doc/python-oslotest-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.test/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslotest 3.7.1

=== requirements.txt ===
--- 
+++ 
@@ -10,4 +10,4 @@
 mock>=2.0.0 # BSD
 mox3>=0.20.0 # Apache-2.0
 os-client-config>=1.28.0 # Apache-2.0
-debtcollector  # Apache-2.0
+debtcollector>=1.2.0  # Apache-2.0

=== debian/changelog ===
python-oslotest (1:3.7.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2019 16:54:24 +0000

python-oslotest (1:3.7.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:04:55 +0000

python-oslotest (1:3.7.0-0ubuntu2) disco; urgency=medium

  * d/python3-oslotest.postinst: Prefer Py3 alternatives.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 12:08:18 +0000

python-oslotest (1:3.7.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:28:39 +0000

python-oslotest (1:3.6.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Aug 2018 15:16:55 -0400

python-oslotest (1:3.5.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/control: Enable autopkgtest-pkg-python.
    - d/control,compat: Bump to debhelper compat 10.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jun 2018 11:56:20 +0100

=== debian/control ===
Source: python-oslotest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.5),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-client-config (>= 1.28.0),
 python-oslo.config (>= 1:5.2.0),
 python-six (>= 1.10.0),
 python-stestr,
 python-testtools (>= 2.2.0),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-os-client-config (>= 1.28.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-stestr,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslotest
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslotest
Homepage: https://launchpad.net/oslo
Testsuite: autopkgtest-pkg-python

Package: python-oslotest
Architecture: all
Depends:
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 3.0.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-os-client-config (>= 1.28.0),
 python-pbr (>= 2.0.0),
 python-six (>= 1.10.0),
 python-testtools (>= 2.2.0),
 subunit,
 testrepository,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack test framework - Python 2.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 2.x module.

Package: python-oslotest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack test framework - doc
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the documentation.

Package: python3-oslotest
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-os-client-config (>= 1.28.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository (>= 0.0.18),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack test framework - Python 3.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 3.x module.

## python-oslotest 3.8.0

=== debian/changelog ===
python-oslotest (1:3.8.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:54:42 +0200

python-oslotest (1:3.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 14:46:46 +0200

python-oslotest (1:3.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:03:04 +0200

python-oslotest (1:3.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 19:45:34 +0100

=== debian/control ===
Source: python-oslotest
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-mock,
 python3-mox3,
 python3-openstackdocstheme,
 python3-os-client-config,
 python3-oslo.config,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslotest
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslotest.git
Homepage: https://launchpad.net/oslo

Package: python-oslotest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack test framework - doc
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the documentation.

Package: python3-oslotest
Architecture: all
Depends:
 python3-debtcollector,
 python3-fixtures,
 python3-mock,
 python3-mox3,
 python3-os-client-config,
 python3-pbr,
 python3-six,
 python3-stestr,
 python3-testtools,
 subunit,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack test framework - Python 3.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 3.x module.

## python-oslotest 3.8.1

=== debian/changelog ===
python-oslotest (1:3.8.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 21:31:20 +0000

python-oslotest (1:3.8.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:35:33 +0100

python-oslotest (1:3.8.0-0ubuntu1) eoan; urgency=medium

  * d/control, d/rules, d/python(3)-oslotest.p*: Drop Python 2
    support.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Jul 2019 16:02:44 -0400

=== debian/control ===
Source: python-oslotest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-client-config (>= 1.28.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslotest
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslotest
Homepage: https://launchpad.net/oslo
Testsuite: autopkgtest-pkg-python

Package: python-oslotest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack test framework - doc
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the documentation.

Package: python3-oslotest
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-os-client-config (>= 1.28.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository (>= 0.0.18),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack test framework - Python 3.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,24 +4,22 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
-
-	sed -i s/python/python3/g $(CURDIR)/debian/python3-oslotest/usr/bin/python3-oslo_debug_helper
+	pkgos-dh_auto_install --no-py2
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslotest-doc/usr/share/doc/python-oslotest-doc/html
+	python3 -m sphinx -b html doc/source debian/python-oslotest-doc/usr/share/doc/python-oslotest-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-oslotest 4.2.0

=== requirements.txt ===
--- 
+++ 
@@ -5,9 +5,5 @@
 fixtures>=3.0.0 # Apache-2.0/BSD
 python-subunit>=1.0.0 # Apache-2.0/BSD
 six>=1.10.0 # MIT
-stestr>=2.0.0 # Apache-2.0
 testtools>=2.2.0 # MIT
 mock>=2.0.0 # BSD
-mox3>=0.20.0 # Apache-2.0
-os-client-config>=1.28.0 # Apache-2.0
-debtcollector>=1.2.0  # Apache-2.0

=== debian/changelog ===
python-oslotest (1:4.2.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:31:43 -0400

python-oslotest (1:3.9.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 11:15:05 +0000

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,6 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -23,7 +20,6 @@
  python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.2.0),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 1.1.0),
  python3-mock (>= 2.0.0),
  python3-mox3 (>= 0.20.0),
  python3-openstackdocstheme (>= 1.18.1),
@@ -31,6 +27,7 @@
  python3-oslo.config (>= 1:5.2.0),
  python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-stestr (>= 2.0.0),
  python3-subunit (>= 1.0.0),
  python3-testtools (>= 2.2.0),

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=python-oslotest
 
 UPSTREAM_GIT := https://github.com/openstack/oslo.test.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
@@ -20,7 +22,7 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx -b html doc/source debian/python-oslotest-doc/usr/share/doc/python-oslotest-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
 # Commands not to run

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslotest/ oslotest-(\d.*)\.tar\.gz

## python-oslotest 4.4.1

=== debian/changelog ===
python-oslotest (1:4.4.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 23:12:37 +0200

python-oslotest (1:4.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:10:11 +0200

python-oslotest (1:4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 12:28:23 +0200

python-oslotest (1:4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:26:16 +0200

python-oslotest (1:4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 13:05:24 +0200

python-oslotest (1:4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:15:56 +0200

=== debian/control ===
Source: python-oslotest
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-openstackdocstheme,
 python3-os-client-config,
 python3-oslo.config,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslotest
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslotest.git
Homepage: https://launchpad.net/oslo

Package: python-oslotest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack test framework - doc
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the documentation.

Package: python3-oslotest
Architecture: all
Depends:
 python3-debtcollector,
 python3-fixtures,
 python3-os-client-config,
 python3-pbr,
 python3-six,
 python3-stestr,
 python3-testtools,
 subunit,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack test framework - Python 3.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.test.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslotest-doc/usr/share/doc/python-oslotest-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-oslotest 4.5.0

=== requirements.txt ===
--- 
+++ 
@@ -6,4 +6,3 @@
 python-subunit>=1.0.0 # Apache-2.0/BSD
 six>=1.10.0 # MIT
 testtools>=2.2.0 # MIT
-mock>=2.0.0 # BSD

=== debian/changelog ===
python-oslotest (1:4.5.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1048426).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 10:45:26 +0200

python-oslotest (1:4.5.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:58:09 +0200

python-oslotest (1:4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:29:48 +0200

python-oslotest (1:4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Sep 2021 11:11:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info doc/source/reference/api
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslotest 5.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
oslo.config>=5.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-oslotest (1:5.0.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090584).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 00:00:00 +0100

python-oslotest (1:5.0.0-3) unstable; urgency=medium

  * Removed python3-six (build-)depends (Closes: #1083038).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2024 12:14:31 +0200

python-oslotest (1:5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 18:06:33 +0200

python-oslotest (1:5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed py3.12-fix-modules-fixture.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:42:13 +0200

python-oslotest (1:4.5.0-5) unstable; urgency=medium

  * Add py3.12-fix-modules-fixture.patch (Closes: #1058373).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Dec 2023 16:37:12 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
  python3-openstackdocstheme,
  python3-os-client-config,
  python3-oslo.config,
- python3-six,
  python3-sphinxcontrib.apidoc,
  python3-stestr,
  python3-subunit,
@@ -53,7 +52,6 @@
  python3-fixtures,
  python3-os-client-config,
  python3-pbr,
- python3-six,
  python3-stestr,
  python3-testtools,
  subunit,
